ReferencePublic agents and widget
The anonymous session for an agent and its current conversation (401 without a live session)
GET
/v1/public/sessions/currentQuery Parameters
agentId*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/public/sessions/current?agentId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "session": { "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "channel": "public", "expiresAt": "2019-08-24T14:15:22Z" }, "conversation": { "conversation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2", "agentName": "string", "agentSlug": "string", "teamSlug": "string", "agentDeleted": true, "title": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "messages": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "seq": 0, "role": "user", "text": "string", "thinking": "string", "toolCalls": [ { "id": "string", "name": "string", "arguments": null, "isError": true, "hitCount": 0, "query": "string" } ], "citations": [ { "n": 0, "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "title": "string", "snippet": "string", "headingPath": [ "string" ], "pageStart": 0, "pageEnd": 0, "url": "string", "verification": "verified", "confidence": 0, "markers": [ { "verification": "verified", "confidence": 0 } ] } ], "stopReason": "stop", "errorCode": "string", "usage": { "input": 0, "output": 0, "reasoning": 0, "cacheRead": 0, "cacheWrite": 0, "total": 0 }, "latencyMs": 0, "feedback": "up", "feedbackReason": "incorrect", "uncited": [ { "start": 0, "end": 0 } ], "claims": [ { "index": 0, "start": 0, "end": 0, "text": "string", "verdict": "supported", "sources": [ 0 ], "confidence": 0, "checks": [ { "n": 0, "occurrence": 0, "verification": "verified", "confidence": 0 } ] } ], "createdAt": "2019-08-24T14:15:22Z" } ] } }}